Draft Scale

From FreeCAD Documentation
Jump to: navigation, search
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe

Draft Scale.png Draft Scale

Menu location
Draft → Scale
Workbenches
Draft, Arch
Default shortcut
S C
See also
Draft Clone


Description

This tool scales selected object(s) around a base point. If no object is selected, you will be invited to select one.

Draft Scale example.jpg

How to use

  1. Select objects you wish to scale
  2. Press the Draft Scale.png Draft Scale button, or press S then C keys
  3. Click a first point on the 3D view, or type a coordinate to define the base point of the scaling
  4. Another task dialog with scaling options opens. Fill in the different options, and press OK to accept

Options

  • To enter base point coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Fill in the X, Y and Z scaling value to define the scaling.
  • Checking the "Uniform scaling" option will lock the X, Y and Z to the same value
  • The "Relative to Working Plane" option will consider X, Y and Z scaling values to be taken along he current Working Plane. Otherwise, global X, Y and Z directions are used.
  • The result of the scaling operation can be:
    • A Draft Clone of the original objects, which doesn't modify the original objects, but allow you to change the scaling factor manually later on (works for all object types)
    • The original objects have their size modified (will only work with Draft objects or non-parametric Part shapes)
    • A scaled copy of the base objects is produced (will work for all object types, but only the copies of Draft objects will be parametric)

Scripting

The Scale tool can by used in macros and from the python console by using the following function:

scale (objects,vector,[center,copy,legacy]) 
  • Scales the objects contained in objects (that can be a list of objects or an object) of the given scale factors defined by the given vector (in X, Y and Z directions) around the given center.
  • If legacy is True, direct (old) mode is used, otherwise a parametric copy is made.
  • If copy is True, the actual objects are not moved, but copies are created instead.
  • The objects (or their copies) are returned.

Example:

import FreeCAD,Draft
Draft.scale(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,2))